XISUITEDokumentation

asset-object-task-links

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

GET/spaces/{spaceId}/assets/objects/{id}/task-linksToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

idPflichtPfadstring

Asset object UUID

Antworten

  • 200List of task links returned
  • 401Not authenticated
  • 403Missing view_assets permission
  • 404Object not found
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/task-links" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Link a task to an asset object#

POST/spaces/{spaceId}/assets/objects/{id}/task-linksToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

idPflichtPfadstring

Asset object UUID

Request-Bodyapplication/jsonCreateAssetObjectTaskLinkDto

Keine Felder dokumentiert.

Antworten

  • 201Task link created
  • 400Task in different space or validation error
  • 401Not authenticated
  • 403Missing edit_assets permission
  • 404Object or task not found
  • 409Task already linked to this object
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/task-links" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
DELETE/spaces/{spaceId}/assets/objects/{id}/task-links/{linkId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

idPflichtPfadstring

Asset object UUID

linkIdPflichtPfadstring

Task link UUID

Antworten

  • 204Task link removed
  • 401Not authenticated
  • 403Missing edit_assets permission
  • 404Task link not found
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/objects/{id}/task-links/{linkId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
GET/spaces/{spaceId}/assets/tasks/{taskId}/linksToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

taskIdPflichtPfadstring

Task UUID

Antworten

  • 200List of asset links returned
  • 401Not authenticated
  • 403Missing view_assets permission
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/tasks/{taskId}/links" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Link an asset object to a task#

POST/spaces/{spaceId}/assets/tasks/{taskId}/linksToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

taskIdPflichtPfadstring

Task UUID

Request-Bodyapplication/jsonLinkAssetToTaskDto

Keine Felder dokumentiert.

Antworten

  • 201Asset link created
  • 400Task in different space or validation error
  • 401Not authenticated
  • 403Missing edit_assets permission
  • 404Object or task not found
  • 409Asset already linked to this task
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/tasks/{taskId}/links" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
DELETE/spaces/{spaceId}/assets/tasks/{taskId}/links/{linkId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

taskIdPflichtPfadstring

Task UUID

linkIdPflichtPfadstring

Asset link UUID

Antworten

  • 204Asset link removed
  • 401Not authenticated
  • 403Missing edit_assets permission
  • 404Asset link not found
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/assets/tasks/{taskId}/links/{linkId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions